<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'lead',

    /*
     * Modules.
     */
    'modules'   => ['lead_system'],

    
    'lead_system'       => [
        'model' => [
            'model' => \Litecms\Lead\Models\LeadSystem::class,
            'repository' => \Litecms\Lead\Repositories\Eloquent\LeadSystemRepository::class,
            'table' => 'lead_systems',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['restaurant_id'],
            'translatables' => [],
            'upload_folder' => 'lead/lead_system',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Lead',
            'module' => 'LeadSystem',
        ],
    ],
];
