<?php

namespace Litecms\Lead\Seeders;

use DB;
use Illuminate\Database\Seeder;

class LeadSystemTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('lead_systems')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'lead.lead_system.view',
                'name'      => 'View LeadSystem',
            ],
            [
                'slug'      => 'lead.lead_system.create',
                'name'      => 'Create LeadSystem',
            ],
            [
                'slug'      => 'lead.lead_system.edit',
                'name'      => 'Update LeadSystem',
            ],
            [
                'slug'      => 'lead.lead_system.delete',
                'name'      => 'Delete LeadSystem',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/lead/lead_system',
                'name'        => 'LeadSystem',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/lead/lead_system',
                'name'        => 'LeadSystem',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'lead_system',
                'name'        => 'LeadSystem',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Lead',
                'module'    => 'LeadSystem',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'lead.lead_system.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
